org.apache.lucene.store.db

## Class DbIndexOutput

- java.lang.Object
- - org.apache.lucene.store.IndexOutput
  - - org.apache.lucene.store.db.DbIndexOutput

-     public class DbIndexOutput
      extends IndexOutput

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Block` | `block`
    `static int` | `BLOCK_LEN`
    `static int` | `BLOCK_MASK`
    `static int` | `BLOCK_SHIFT` The size of data blocks, currently 16k (2^14), is determined by this constant.
    `protected DbDirectory` | `directory`
    `protected File` | `file`
    `protected long` | `length`
    `protected long` | `position`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DbIndexOutput(DbDirectory directory, java.lang.String name, boolean create)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes this stream to further operations.
    `void` | `flush()` Forces any buffered output to be written.
    `long` | `getFilePointer()` Returns the current position in this file, where the next write will occur.
    `long` | `length()` The number of bytes in the file.
    `void` | `seek(long pos)` Sets current position in this file, where the next write will occur.
    `void` | `writeByte(byte b)` Writes a single byte.
    `void` | `writeBytes(byte[] b, int offset, int len)` Writes an array of bytes.

    - ### Methods inherited from class org.apache.lucene.store.IndexOutput

      `copyBytes, setLength, writeBytes, writeChars, writeChars, writeInt, writeLong, writeString, writeStringStringMap, writeVInt, writeVLong`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BLOCK_SHIFT

          public static final int BLOCK_SHIFT

      The size of data blocks, currently 16k (2^14), is determined by this constant.
      See Also:
        Constant Field Values

    - #### BLOCK_LEN

          public static final int BLOCK_LEN

      See Also:
        Constant Field Values

    - #### BLOCK_MASK

          public static final int BLOCK_MASK

      See Also:
        Constant Field Values

    - #### position

          protected long position

    - #### length

          protected long length

    - #### directory

          protected DbDirectory directory

    - #### block

          protected Block block

    - #### file

          protected File file

  - ### Constructor Detail

    - #### DbIndexOutput

          protected DbIndexOutput(DbDirectory directory,
                                  java.lang.String name,
                                  boolean create)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### close

          public void close()
                     throws java.io.IOException

      Description copied from class: `IndexOutput`
      Closes this stream to further operations.
      Specified by:
        `close` in class `IndexOutput`
      Throws:
        `java.io.IOException`

    - #### flush

          public void flush()
                     throws java.io.IOException

      Description copied from class: `IndexOutput`
      Forces any buffered output to be written.
      Specified by:
        `flush` in class `IndexOutput`
      Throws:
        `java.io.IOException`

    - #### writeByte

          public void writeByte(byte b)
                         throws java.io.IOException

      Description copied from class: `IndexOutput`
      Writes a single byte.
      Specified by:
        `writeByte` in class `IndexOutput`
      Throws:
        `java.io.IOException`
      See Also:
        `IndexInput.readByte()`

    - #### writeBytes

          public void writeBytes(byte[] b,
                                 int offset,
                                 int len)
                          throws java.io.IOException

      Description copied from class: `IndexOutput`
      Writes an array of bytes.
      Specified by:
        `writeBytes` in class `IndexOutput`
      Parameters:
        `b` - the bytes to write
        `offset` - the offset in the byte array
        `len` - the number of bytes to write
      Throws:
        `java.io.IOException`
      See Also:
        `IndexInput.readBytes(byte[],int,int)`

    - #### length

          public long length()
                      throws java.io.IOException

      Description copied from class: `IndexOutput`
      The number of bytes in the file.
      Specified by:
        `length` in class `IndexOutput`
      Throws:
        `java.io.IOException`

    - #### seek

          public void seek(long pos)
                    throws java.io.IOException

      Description copied from class: `IndexOutput`
      Sets current position in this file, where the next write will occur.
      Specified by:
        `seek` in class `IndexOutput`
      Throws:
        `java.io.IOException`
      See Also:
        `IndexOutput.getFilePointer()`

    - #### getFilePointer

          public long getFilePointer()

      Description copied from class: `IndexOutput`
      Returns the current position in this file, where the next write will occur.
      Specified by:
        `getFilePointer` in class `IndexOutput`
      See Also:
        `IndexOutput.seek(long)`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.